//============================================================================
// Name        : Model.h
// Author      : Vincent Cahais, Nicolas Galtier
// Created on  : 17 septembre 2012
// Copyright   : http://www.cecill.info/licences/Licence_CeCILL-C_V1-fr.html
//============================================================================

#ifndef MODEL_H_
#define MODEL_H_

namespace bpp
{

class Model
{
public:

	string name;
	string aligned;
	string description;
	bool do_model;

	unsigned int NB_CLASSES_ERR;
	unsigned int NB_CLASSES_AEB;
	bool ERR_EQUALS_ZERO;
	bool AEB_EQUALS_ZERO;

	bool er_beta;
	bool er_tstv;
	bool aeb_beta;

	Model(string n, string a, string d, bool m, unsigned int nce, unsigned int nca, bool eez, bool aez,
			bool erb, bool ert, bool aeb):
		name(n), aligned(a), description(d), do_model(m),
		NB_CLASSES_ERR(nce), NB_CLASSES_AEB(nca), ERR_EQUALS_ZERO(eez), AEB_EQUALS_ZERO(aez),
		er_beta(erb), er_tstv(ert), aeb_beta(aeb){}

	virtual ~Model(){}

};

} /* namespace bpp */
#endif /* MODEL_H_ */
